Subject: bug#42480: closed (Re: bug#42480: cabal-install/GHC fails to find libraries)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 22 Sep 2023 16:47:03 +0000

Your bug report

#42480: cabal-install/GHC fails to find libraries

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
42480: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=42480
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#42480: cabal-install/GHC fails to find libraries
From: Simon Tournier <[email-masked]>
To: John Soo <[email-masked]>
Cc: Ricardo Wurmus <[email-masked]>, [email-masked]
Date: Fri, 22 Sep 2023 18:16:43 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi

I think this old bug#42480,

    https://issues.guix.gnu.org/issue/42480

can be closed.

On Wed, 22 Jul 2020 at 16:43, John Soo <[email-masked]> wrote:

> I do have gcc-toolchain installed and I just realized that my project
> compiles fine if I do not try to statically link.  I believe this can be
> closed as dynamic linking works fine.  My mistake.  I did see the issue
> regarding captured inputs to ghc. I am in favor of removing them. I
> always must have gcc-toolchain installed when using ghc anyways.

Adding gcc-toolchain fixes the issue.

I am closing.  Let me know if I am missing something.

Cheers,
simon

Subject: cabal-install/GHC fails to find libraries
From: John Soo <[email-masked]>
To: [email-masked]
Date: Wed, 22 Jul 2020 11:45:06 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix,

I have a haskell project until recently compiled with the following:

env -u GHC_PACKAGE_PATH cabal new-build

Now it fails with the following:

ld: cannot find -lm
ld: cannot find -lpthread
ld: cannot find -lz
ld: cannot find -lrt
ld: cannot find -lutil
ld: cannot find -ldl
ld: cannot find -lpthread
ld: cannot find -lm
ld: cannot find -lrt
ld: cannot find -ldl
ld: cannot find -lpthread
ld: cannot find -lpthread
ld: cannot find -lpthread
ld: cannot find -lc

Could a graft be failing to update references to various libraries?

I really don't know what could be going on.

Thanks!

John